> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new entity



## OpenAPI

````yaml /api-reference/4.2/service-parsers.json post /parsers
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service parsers
servers:
  - url: /api/apollo/
security: []
tags:
  - name: parsers
paths:
  /parsers:
    post:
      tags:
        - 4.2 Parsers API
      summary: Create a new entity
      operationId: createEntity
      requestBody:
        $ref: '#/components/requestBodies/ParserConfig'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  requestBodies:
    ParserConfig:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ParserConfig'
      description: JSON-formatted configuration values
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
    ParserConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        idField:
          type: string
          readOnly: true
        enableMediaTypeDetection:
          type: boolean
          readOnly: true
          default: false
        maxParserDepth:
          type: integer
          format: int32
          readOnly: true
        parserStages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParserStageConfig'
    ParserStageConfig:
      type: object
      properties:
        label:
          type: string
        enabled:
          type: boolean
          default: false
        mediaTypes:
          type: array
          items:
            type: string
        pathPatterns:
          type: array
          items:
            $ref: '#/components/schemas/SyntaxAndPattern'
        errorHandling:
          type: string
          readOnly: true
          enum:
            - IGNORE
            - LOG
            - FAIL
            - MARK
        id:
          type: string
          readOnly: true
        inheritMediaTypes:
          type: boolean
          default: false
        outputFieldPrefix:
          type: string
    SyntaxAndPattern:
      type: object
      properties:
        syntax:
          type: string
          readOnly: true
          enum:
            - GLOB
            - REGEX
        pattern:
          type: string
          readOnly: true

````